# Get Asset Filter

Get an asset filter by name.

RBAC Capability Required: `ams.assetfilter.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** `string` (Required)
- **asset_name** `string` (Required)
- **filter_name** `string` (Required)

## Response

### 200 A single asset filter

- **id** `string` (Optional)  
  Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

- **name** `string` (Optional)  
  The name of the resource, 1-260 characters pattern: ^[^\\'<>%&:\?/*+]+$

- **properties** `object` [MediaFilterProperties](https://docs.mediakind.com/api-reference/media-api/schemas/mediafilterproperties) (Required)
  Properties for the asset filter

- **firstQuality** `object` [FirstQuality](https://docs.mediakind.com/api-reference/media-api/schemas/firstquality) (Optional)  
      This parameter defines the initial quality level when playback starts. This is the first bitrate in the ladder.  
      - **bitrate** `integer` (Required)  
        Denotes the target video bitrate to be used when starting playback of an HLS manifest.

- **presentationTimeRange** `object` [PresentationTimeRange](https://docs.mediakind.com/api-reference/media-api/schemas/presentationtimerange) (Optional)
      This parameter is used to cut an asset into a smaller asset by specifying a start and end time.

- **endTime** `string` (Optional) format: date-time  
        For live content only. Indicates the end of the presentation window.
      - **endTimestamp** `integer` (Optional) >=0  
        For both VOD and live content. Indicates the end of the presentation window, in units of timescale.  
      - **forceEndTimestamp** `boolean` (Optional)  
        A validation parameter.
      - **liveBackoffDuration** `integer` (Optional)  
        For live content only. Truncates content from the head of a live video manifest.
      - **presentationWindowDuration** `integer` (Optional)  
        For live content only. Indicates the duration of the presentation window, in units of timescale.
      - **startTime** `string` (Optional) format: date-time  
        For live content only. Indicates the start of the presentation window.
      - **startTimestamp** `integer` (Optional) >=0  
        For both VOD and live content. Indicates the start of the presentation window, in units of timescale.
      - **timescale** `integer` (Optional) 1 to 1000000000 Defaults to 10000000  
        Defines the unit of time for all the values in this object.
      - **tracks** `list of objects` [FilterTrackSelection](https://docs.mediakind.com/api-reference/media-api/schemas/filtertrackselection) (Optional)
        Defines the tracks to include in the output.
      - **trackSelections** `list of objects` [FilterTrackPropertyCondition](https://docs.mediakind.com/api-reference/media-api/schemas/filtertrackpropertycondition) (Required)
        Defines the tracks to include in the output. Multiple entries will be AND'd together.

```json
[
    {"property": "Type", "operation": "Equal", "value": "Audio"},
    {"property": "Bitrate", "operation": "Equal", "value": "3000000-5000000"},
    {"property": "Language", "operation": "NotEqual", "value": "en"}
]
```

- **operation** `enum` (Required)  
  Set to either 'Equal' or 'NotEqual'.

- **property** `enum` (Required)  
  The property to match against. Supported properties include: Bitrate, FourCC, Language, Name, Type, and Unknown.

- **value** `string` (Required)  
  The value to match against.

### System Data

- **createdAt** `string` (Required) format: date-time  
  The timestamp of resource creation (UTC).
- **createdBy** `string` (Required)  
  The identity that created the resource.
- **createdByType** `enum` (Required)  
  Allowed values: User, Application, ManagedIdentity, Key.
- **internalId** `string` (Required) format: uuid  
  The internal ID of the resource.
- **lastModifiedAt** `string` (Required) format: date-time  
  The timestamp of resource last modification (UTC).
- **lastModifiedBy** `string` (Required)  
  The identity that last modified the resource.
- **lastModifiedByType** `enum` (Required)  
  Allowed values: User, Application, ManagedIdentity, Key.
- **type** `string` (Optional)  
  The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"

## Errors

### Common Error Structure

- **400 Bad Request**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)

- **401 Unauthorized**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)

- **403 Forbidden**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)

- **404 Not Found**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)

- **429 Too Many Requests**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)

- **500 Internal Server Error**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) (Required)
